unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls,Jcommon,JHeader, ImgList;

type
  TForm1 = class(TForm)
    header: TJHeader;
    GroupBox1: TGroupBox;
    Label1: TLabel;
    chkDown: TCheckBox;
    chkDrag: TCheckBox;
    chkSize: TCheckBox;
    chkRename: TCheckBox;
    chkAutoHide: TCheckBox;
    Memo1: TMemo;
    GroupBox2: TGroupBox;
    chkDragOnScreen: TCheckBox;
    chkFlat: TCheckBox;
    chkHotTrack: TCheckBox;
    ImageList1: TImageList;
    procedure chkDownClick(Sender: TObject);
    procedure chkDragClick(Sender: TObject);
    procedure chkSizeClick(Sender: TObject);
    procedure chkRenameClick(Sender: TObject);
    procedure chkAutoHideClick(Sender: TObject);
    procedure chkDragOnScreenClick(Sender: TObject);
    procedure chkFlatClick(Sender: TObject);
    procedure chkHotTrackClick(Sender: TObject);
  private
    { Private declarations }

  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.chkDownClick(Sender: TObject);
begin
  if chkDown.Checked then
    header.allowoptions := header.allowoptions + [aoDown]
  else
    header.allowoptions := header.allowoptions - [aoDown];
end;

procedure TForm1.chkDragClick(Sender: TObject);
begin
  if chkDrag.Checked then
    header.allowoptions := header.allowoptions + [aoDrag]
  else
    header.allowoptions := header.allowoptions - [aoDrag];
end;

procedure TForm1.chkSizeClick(Sender: TObject);
begin
  if chkSize.Checked then
    header.allowoptions := header.allowoptions + [aoSize]
  else
    header.allowoptions := header.allowoptions - [aoSize];
end;

procedure TForm1.chkRenameClick(Sender: TObject);
begin
  if chkRename.Checked then
    header.allowoptions := header.allowoptions + [aoRename]
  else
    header.allowoptions := header.allowoptions - [aoRename];
end;

procedure TForm1.chkAutoHideClick(Sender: TObject);
begin
  if chkAutoHide.Checked then
    header.allowoptions := header.allowoptions + [aoHide]
  else
    header.allowoptions := header.allowoptions - [aoHide];
end;

procedure TForm1.chkDragOnScreenClick(Sender: TObject);
begin
  Header.DragOnScreen := chkDragOnScreen.Checked;
end;

procedure TForm1.chkFlatClick(Sender: TObject);
begin
  if chkFlat.Checked then
    header.Style := jsFlat
  else
    header.Style := jsNormal;
end;

procedure TForm1.chkHotTrackClick(Sender: TObject);
begin
  header.hottrack := chkHotTrack.Checked;
end;



end.
